The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Get the List of PCAP Files Captured

Prev Next

This URL retrieves the list of captured PCAP files.

Resource URL

GET /sensor/<sensor_id>/packetcapturepcapfiles

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id Number Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
files List of PCAP file names StringList

Example

Request

GET https://<NSM_IP>/sdkapi/sensor/1001/packetcapturepcapfiles

Payload

None

Response

{
"files":[“capture_Mon_Aug_18_16_12_49_IST_2014.pcap”, “capture_Mon_Aug_18_16_12_55_IST_2014.pcap”]
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is inactive
3 400 6201 Packet capture not supported on this Sensor